# Uses of Class
org.opensaml.profile.context.navigate.ParentProfileRequestContextLookup

Packages that use ParentProfileRequestContextLookup
Package
Description
org.opensaml.profile.action
Interfaces and classes for profile actions, discrete units of behavior that make up a profile.
org.opensaml.profile.logic
First order logic predicates and functions used for working with profile request data.

## Uses of ParentProfileRequestContextLookup in org.opensaml.profile.action

Fields in org.opensaml.profile.action declared as ParentProfileRequestContextLookup
Modifier and Type
Field
Description
`private static final ParentProfileRequestContextLookup<MessageContext>`
AbstractHandlerDelegatingProfileAction.`PRC_LOOKUP`
Lookup function for parent ProfileRequestContext.

## Uses of ParentProfileRequestContextLookup in org.opensaml.profile.logic

Fields in org.opensaml.profile.logic declared as ParentProfileRequestContextLookup
Modifier and Type
Field
Description
`private static final ParentProfileRequestContextLookup<MessageContext>`
MessageContextPredicateAdapter.`PRC_LOOKUP`
The lookup function for the ProfileRequestContext.